Package org.kapott.hbci.GV_Result

# Class GVRDauerNew

java.lang.Object
org.kapott.hbci.GV_Result.HBCIJobResultImpl
org.kapott.hbci.GV_Result.GVRDauerNew

All Implemented Interfaces:
  `Serializable`, `HBCIJobResult`

public class GVRDauerNew extends HBCIJobResultImpl
Ergebnis einer Dauerauftragseinreichung. Falls die Bank die Vergabe von Auftrags-Identifikationsnummern unterstützt, wird die ID für den neuen Dauerauftrag hier bereitgestellt.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

## Constructor Summary

Constructors
Constructor
Description
`GVRDauerNew()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getOrderId()`
Gibt die Auftragsnummer zurück, unter der der eingereichte Dauerauftrag bei der Bank registriert ist
`void`
`setOrderId(String orderid)`
`String`
`toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GVRDauerNew

public GVRDauerNew()

## Method Details

### setOrderId

public void setOrderId(String orderid)

### getOrderId

public String getOrderId()
Gibt die Auftragsnummer zurück, unter der der eingereichte Dauerauftrag bei der Bank registriert ist

Returns:
  die Auftragsidentifikationsnummer oder `null`, wenn die Bank das nicht unterstützt.

### toString

public String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`